<h1>Настройка параметров безопасности для работы с АТС-коннекторами,
находящимися внутри локальной сети</h1>

<p>Воспользуйтесь этим руководством, если все условия выполняются одновременно:</p>
<ul>
	<li>Ваш АТС-коннектор «Простых звонков» расположен внутри локальной сети (АТС-коннекторы Asterisk,
Panasonic, LG-Ericsson, NEOPbx, Avaya, Cisco)</li>
	<li>Для работы с CRM системой ваши сотрудники используют веб-браузер Google Chrome, Mozilla Firefox и
т.п.</li>
	<li>Ваши пользователи работают с CRM системой в веб-браузере по защищенному протоколу HTTPS, кроме
Битрикс24 «Облачная версия», МойСклад и YClients</li>
</ul>

<h2>Почему необходим SSL сертификат для АТС-коннектора?</h2>
<hr>

<p>Начиная с версии 36 в браузере Google Chrome разработчики заблокировали возможность обращения
JavaScript, который был загружен как часть HTTPS страницы (модуль «Простых звонков» в CRM системе),
к не HTTPS ресурсам (АТС-коннектор «Простых звонков»).</p>

<h2>Создание доверенного SSL сертификата на АТС-коннекторе и
подключение его на клиентских компьютерах</h2>
<hr>

<p class="attention">Внимание! Для использования SSL сертификата сервер с АТС-коннектором должен быть доступен в
вашей локальной сети по имени сервера (не только по IP адресу!), если это не так – обратитесь к
своему системному администратору для настройки вашей сети.</p>
<p>1. Создайте файл сертификата на сервере, где размещен АТС-коннектор «Простых звонков».</p>
<p>1.1. Если АТС-коннектор работает на ОС Linux, например АТС-коннектор Asterisk:</p>
<p class="attention">Внимание! Если в папке /tmp на вашем сервере с АТС нет папки prostiezvonki с дистрибутивом модуля,
пожалуйста, выполните пункт 3.1 из инструкции по настройке АТС-коннектора</p>
<p>1.1.1. Перейдите в папку /etc/asterisk/, выполнив команду:
cd /etc/asterisk/</p>
<p>1.1.2. Далее выполните команду:<br>
/tmp/prostiezvonki/install -s <br>
Следуйте указаниям скрипта генерации SSL сертификата.</p>
<p>1.1.3. Hostname for SSL (default value name this host PBX):<br>
Укажите имя сервера, на котором установлен АТС-коннектор.</p>
<p>1.2.1. Если АТС-коннектор работает на ОС Windows, например АТС-коннектор Panasonic, LG-Ericsson,
Avaya:
<p>1.2.2. Скачайте и разархивируйте архив с переносимой версией OpenSSL:<br>
http://prostiezvonki.ru/installs/openssl.zip
<p>1.2.3. Запустите файл ssl.bat. Следуйте указаниям скрипта генерации.
<p>1.2.4. Hostname for SSL (default value name this host PBX):<br>
Укажите имя сервера, на котором установлен АТС-коннектор.

<p>Скопируйте созданные файлы сертификатов <i>dh512.pem</i>, <i>privkey1.pem</i> и <i>newsert.pem</i> в папку, в которой
установлен АТС-коннектор «Простых звонков». </p>

<p>2. Откройте конфигурационный файл АТС-коннектора и измените значение параметра use_ssl в значение
true:<br>
use_ssl = true</p>

<p class="attention">Внимание! Если вы используете FreePBX или Elastix - измените значение параметра SSL в настройках
модуля «Простые звонки» в веб-интерфейсе АТС.</p>

<p>3. Перезапустите АТС-коннектор «Простых звонков». Как перезапустить АТС-коннектор, вы можете
узнать в руководстве по установке и настройке вашего АТС-коннектора.</p>

<p>4. Запустите веб-браузер Google и перейдите по ссылке ниже. Обязательно замените <strong>server</strong> на хостнейм
сервера, на котором установлен АТС-коннектор «Простых звонков»:
<a target="_blank" href="https://server:10150/">https://<strong>server:10150</strong></a></p>

<p class="attention">Внимание! Если страница с сообщением, описанным в пункте 6, не открылась – проверьте что у вас
запущен АТС-коннектор и выполнены пункты 2 и 3 данной инструкции.</p>

<p class="attention">Внимание! Если вы изменили порт по умолчанию в конфигурационном файле АТС-коннектора «Простых
звонков», то укажите его вместо <strong>10150</strong>.</p>

<p>5. На компьютере пользователя CRM системы скачайте и запустите программу для установки SSL
сертификата: <a target="_blank" href="http://prostiezvonki.ru/installs/ProstieZvonki_Import_SSL.exe">http://prostiezvonki.ru/installs/ProstieZvonki_Import_SSL.exe</a></p>

<p>В открывшемся окне, в поле <strong>«Адрес АТС-коннектора»</strong> введите ссылку из пункта 4:</p>
<p><img src="images/ssl/nastroyka_ssl.jpg" alt="ввод адреса атс коннектора"></p>

<p>6. Нажмите кнопку «Загрузить и установить».</p>

<p>7. Запустите веб-браузер Google и перейдите по ссылке ниже. Обязательно замените <strong>server</strong> на хостнейм
сервера, на котором установлен АТС-коннектор «Простых звонков»:
<a target="_blank" href="https://server:10150/">https://<strong>server:10150</strong></a></p>

<p class="attention">Внимание! Если страница с сообщением, описанным в пункте 6, не открылась – проверьте что у вас
запущен АТС-коннектор и выполнены пункты 2 и 3 данной инструкции.</p>

<p class="attention">Внимание! Если вы изменили порт по умолчанию в конфигурационном файле АТС-коннектора «Простых
звонков», то укажите его вместо <strong>10150</strong>.</p>

<p>Если сертификат установлен правильно, то вы увидите успешно загруженную пустую страницу, без
каких-либо ошибок.</p>

<p>8. Повторите шаги 5-6 на всех компьютерах пользователей «Простых звонков».</p>


